Bug 122923 - Client stub generation from WADL
Client stub generation from WADL
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: REST
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Ayub Khan
issues@webservices
: PLAN
Depends on:
Blocks: 122918
  Show dependency treegraph
 
Reported: 2007-11-28 01:07 UTC by Peter Liu
Modified: 2008-01-20 23:19 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
sample wadl (2.64 KB, text/plain)
2008-01-15 08:46 UTC, Ayub Khan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Liu 2007-11-28 01:07:44 UTC
Currently, we can only generate the client stubs from existing projects containing RESTful web services. We need to also
support client generation from existing WADL files.
Comment 1 Peter Liu 2007-12-05 01:29:10 UTC
Jersey 0.5 release will now generate subresource locator information in the wadl. Our client stub generation should take
advantage of this new feature.

 
Comment 2 Ayub Khan 2008-01-15 08:46:14 UTC
Fixed.

"RESTful Web Service Client Stubs" wizard now allows to  specify a wadl to generate the stubs.
See attachment for a sample wadl to use.
Comment 3 Ayub Khan 2008-01-15 08:46:15 UTC
Fixed.

"RESTful Web Service Client Stubs" wizard now allows to  specify a wadl to generate the stubs.
See attachment for a sample wadl to use.
Comment 4 Ayub Khan 2008-01-15 08:46:58 UTC
Created attachment 55056 [details]
sample wadl
Comment 5 Ayub Khan 2008-01-16 20:27:15 UTC
Already fixed. Changing the status to Fixed.
Comment 6 Lukas Jungmann 2008-01-20 23:19:53 UTC
v.; filed issue 125630 to support also remote WADL files...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo